Get configuration override

Retrieve configuration overrides for a specific MCP tool.

Path parameters

mcp_server_idstringRequired
ID of the MCP Server.
tool_namestringRequired
Name of the MCP tool to retrieve config overrides for.

Headers

xi-api-keystringOptional

Response

Successful Response
tool_namestring
The name of the MCP tool
pre_tool_speechenum or nullDefaults to auto

If set, overrides the server’s pre_tool_speech setting for this tool.

Allowed values:
disable_interruptionsboolean or null

If set, overrides the server’s disable_interruptions setting for this tool

tool_call_soundenum or null

If set, overrides the server’s tool_call_sound setting for this tool

Allowed values:
tool_call_sound_behaviorenum or nullDefaults to auto

If set, overrides the server’s tool_call_sound_behavior setting for this tool

Allowed values:
execution_modeenum or nullDefaults to immediate

If set, overrides the server’s execution_mode setting for this tool

Allowed values:
response_timeout_secsinteger or null5-120

If set, overrides the server’s response timeout for this MCP tool (seconds).

assignmentslist of objects
Dynamic variable assignments for this MCP tool
input_overridesmap from strings to objects or null
Mapping of json path to input override configuration
response_mockslist of objects or null

Mock responses with optional parameter conditions. Evaluated top-to-bottom; first match wins.

force_pre_tool_speechboolean or nullDeprecated

DEPRECATED: use pre_tool_speech instead. If set, overrides the server’s force_pre_tool_speech setting for this tool.

Errors

404
Not Found Error
422
Unprocessable Entity Error